import { ChangeDetectorRef, EventEmitter, ElementRef } from '@angular/core';
import { AnimationBuilder, AnimationReferenceMetadata } from '@angular/animations';
import { IgxExpansionPanelBodyComponent } from './expansion-panel-body.component';
import { IgxExpansionPanelHeaderComponent } from './expansion-panel-header.component';
export declare class IgxExpansionPanelComponent {
    cdr: ChangeDetectorRef;
    elementRef: ElementRef;
    private builder;
    animationSettings: {
        openAnimation: AnimationReferenceMetadata;
        closeAnimation: AnimationReferenceMetadata;
    };
    /**
     * Sets/gets the `id` of the expansion panel component.
     * If not set, `id` will have value `"igx-expansion-panel-0"`;
     * ```html
     * <igx-expansion-panel id = "my-first-expansion-panel"></igx-expansion-panel>
     * ```
     * ```typescript
     * let panelId =  this.panel.id;
     * ```
     * @memberof IgxExpansionPanelComponent
     */
    id: string;
    cssClass: string;
    collapsed: boolean;
    onCollapsed: EventEmitter<any>;
    onExpanded: EventEmitter<any>;
    readonly headerId: string;
    constructor(cdr: ChangeDetectorRef, elementRef: ElementRef, builder: AnimationBuilder);
    body: IgxExpansionPanelBodyComponent;
    header: IgxExpansionPanelHeaderComponent;
    private playOpenAnimation(cb);
    private playCloseAnimation(cb);
    collapse(evt?: Event): void;
    expand(evt?: Event): void;
    toggle(evt?: Event): void;
}
