import { SchematicContext, Tree } from '@angular-devkit/schematics';
import { ClassChanges, BindingChanges, SelectorChange, SelectorChanges } from './schema';
export declare class UpdateChanges {
    private rootPath;
    private host;
    private context;
    protected sourcePaths: string[];
    protected classChanges: ClassChanges;
    protected outputChanges: BindingChanges;
    protected inputChanges: BindingChanges;
    protected selectorChanges: SelectorChanges;
    protected conditionFunctions: Map<string, Function>;
    private _templateFiles;
    readonly templateFiles: string[];
    private _tsFiles;
    readonly tsFiles: string[];
    /**
     * Create a new base schematic to apply changes
     * @param rootPath Root folder for the schematic to read configs, pass __dirname
     */
    constructor(rootPath: string, host: Tree, context?: SchematicContext);
    /** Apply configured changes to the Host Tree */
    applyChanges(): void;
    /** Add condition funtion. */
    addCondition(conditionName: string, callback: (ownerMatch: string) => boolean): void;
    protected updateSelectors(entryPath: string): void;
    protected applySelectorChange(fileContent: string, change: SelectorChange): string;
    protected updateClasses(entryPath: string): void;
    protected updateBindings(entryPath: string, bindChanges: BindingChanges, type?: BindingType): void;
    private areConditionsFulfiled(match, conditions);
    private copyPropertyValueBetweenElementTags(fileContent, ownerMatch, propertyMatchArray);
    private sourceDirsVisitor(visitor);
}
export declare enum BindingType {
    output = 0,
    input = 1,
}
